Universes Management
Get Universe Metadata
Get information about a universe
GET
https://api.textreveal.com/v3/universes/{universe_id}
Request
Response
Properties of the universe
name*stringName of the universe.
Example: "Tech Asian companies"description*string | nullDescription of the universe
Example: "The Asian companies that are in the Tech sector"type*string (enum)Universe visibility and access level.
-
PRIVATE: visible and manageable by the owner only. -
SHARED: visible to the owner and company members, manageable by the owner. -
SESAMM: visible to company members, not manageable.
-
entity_count*integerNumber of entities in the universe
Example: 123owner_id*uuid | nullWhen present, only the user with this id can manage the universe.
company_ids*uuid[]With which companies is the universe shared
Response
{
"name": "Tech Asian companies",
"description": "The Asian companies that are in the Tech sector",
"type": "PRIVATE",
"entity_count": 123,
"owner_id": "00000000-0000-0000-0000-000000000000",
"company_ids": [
"00000000-0000-0000-0000-000000000000"
]
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
Response
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}